import {
  PropertyType,
} from '@loafer/core/constants/types';

import {
  Decorator,
} from '@loafer/core/decorator';

import {
  ConfigurationAnnotation,
} from '@loafer/context/decorator/Configuration';

export class ApplicationConfigurationAnnotation extends ConfigurationAnnotation {
  public constructor(qualifier?: PropertyType) {
    super(qualifier);
  }
  public onClassDecorator = <TFunction extends Function>(target: TFunction): TFunction | void => {
    console.log('ApplicationConfiguration');
  }

}

export const ApplicationConfiguration = Decorator.create(ApplicationConfigurationAnnotation);

export default ApplicationConfiguration;
