import {
  PropertyType,
} from '@loafer/core/constants/types';

import {
  Decorator,
} from '@loafer/core/decorator';

import {
  InjectableAnnotation,
} from '@loafer/pouches/decorator/Injectable';

export class ConfigurationAnnotation extends InjectableAnnotation {
  public constructor(qualifier?: PropertyType) {
    super(qualifier);
  }
  public onClassDecorator = <TFunction extends Function>(target: TFunction): TFunction | void => {
    console.log('Configuration');
  }

}

export const Configuration = Decorator.create(ConfigurationAnnotation);

export default Configuration;
