import {
	ClassType,
	PropertyType,
} from '@loafer/core/constants/types';
import PouchFactory from '@loafer/pouches/factory/PouchFactory';
import HierarchicalPouchFactory from '@loafer/pouches/factory/HierarchicalPouchFactory';
import PouchDefinition from '@loafer/pouches/factory/config/PouchDefinition';
import SingletonPouchRegistry from '@loafer/pouches/factory/config/SingletonPouchRegistry';
import PouchExpressionResolver from '@loafer/pouches/factory/config/PouchExpressionResolver';



export interface ConfigurablePouchFactory extends HierarchicalPouchFactory, SingletonPouchRegistry {
}

export default ConfigurablePouchFactory;
