import {
  PropertyType,
} from '@loafer/core/constants/types';

import SimpleAliasRegistry from '@loafer/core/SimpleAliasRegistry';
import ObjectFactory from '@loafer/pouches/factory/ObjectFactory';
import DisposablePouch from '@loafer/pouches/factory/DisposablePouch';
import PouchDefinition from '@loafer/pouches/factory/config/PouchDefinition';
import SingletonPouchRegistry from '@loafer/pouches/factory/config/SingletonPouchRegistry';

export class DefaultSingletonPouchRegistry extends SimpleAliasRegistry implements SingletonPouchRegistry {
}

export default DefaultSingletonPouchRegistry;
