/**
 * Created by geek on 17. 7. 3.
 */

import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Target from '@overflow/target/api/model/Target';

import * as ReadAllByDomainActionTypes from '../action/read_all_by_domain';
import ReadAllByTargetState, { defaultState as readAllByTargetDefaultState } from '../state/ReadAllByTarget';

const reducer: ReducersMapObject = {
  [ReadAllByDomainActionTypes.REQUEST_SUCCESS]:
  (state: ReadAllByTargetState = readAllByTargetDefaultState, action: Action<Target>):
  ReadAllByTargetState => {
    return state;
  },
  [ReadAllByDomainActionTypes.REQUEST_FAILURE]:
  (state: ReadAllByTargetState = readAllByTargetDefaultState, action: Action<Error>):
  ReadAllByTargetState => {
    return state;
  },
};

export default reducer;
