export class ProtocolHeader<ID> {
  protected readonly protocol: string;
  protected readonly id: ID;
  protected body: any;

  public constructor(protocol: string, id: ID, body?: any) {
    this.protocol = protocol;
    this.id = id;
    this.body = body;
  }

  /**
   * getProtocol
   */
  public getProtocol(): string {
    return this.protocol;
  }

  /**
   * getID
   */
  public getID(): ID {
    return this.id;
  }

  /**
   * setID
   */
  public setBody(body: any): void {
    this.body = body;
  }
  /**
   * getID
   */
  public getBody(): any {
    return this.body;
  }

}
